Trust Centers
Get Trust Center control
Gets a specific control on a Trust Center.
GET
/
trust-centers
/
{slugId}
/
controls
/
{controlId}
Get Trust Center control
curl --request GET \
--url https://api.vanta.com/v1/trust-centers/{slugId}/controls/{controlId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/controls/{controlId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/controls/{controlId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"name": "Control name",
"description": "Control description",
"categories": [
{
"id": "93d69894dd525f806d7e5c48",
"name": "Category name",
"visibility": "PUBLIC",
"statusVisibilityOverride": null
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Ok
Unique identifier for the control.
The name of the control, usually a summary of the description.
The description of the control.
The Trust Center control categories that the control belongs to.
Show child attributes
Show child attributes
Related topics
Get Trust Center control categoryList Trust Center controlsGet Trust CenterList Trust Center control categoriesDelete Trust Center controlWas this page helpful?
⌘I
Get Trust Center control
